aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xdeploy.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index a723ce8..2e1b822 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,4 +1,11 @@
#!/bin/sh
+
+find . -name "*.php" -print0 | xargs -0 -n1 php -l
+if [ $? -ne 0 ]; then
+ echo "not deploying b0rken code ;)"
+ exit 1
+fi
+
ssh voc@lb.dus.c3voc.de 'sudo sh' << EOT
cd /srv/nginx/streaming-website
git fetch origin